// Grid core

.grid {
    display: grid;
}

// Grid sizes

.grid_xxs {
    grid-gap:@grid-gap_xxs;
}

.grid_xs {
    grid-gap:@grid-gap_xs;
}

.grid_s {
    grid-gap:@grid-gap_s;
}

.grid_m {
    grid-gap:@grid-gap_m;
}

.grid_l {
    grid-gap:@grid-gap_l;
}

.grid_xl {
    grid-gap:@grid-gap_xl;
}

.grid_xxl {
    grid-gap:@grid-gap_xxl;
}

// Grid columns

.grid_1 {
    grid-template-columns: 100%;
}

.grid_2 {
    grid-template-columns: repeat(2, 1fr);
}

.grid_3 {
    grid-template-columns: repeat(3, 1fr);
}

.grid_4 {
    grid-template-columns: repeat(4, 1fr);
}

.grid_5 {
    grid-template-columns: repeat(5, 1fr);
}

.grid_6 {
    grid-template-columns: repeat(6, 1fr);
}

.grid_7 {
    grid-template-columns: repeat(7, 1fr);
}

.grid_8 {
    grid-template-columns: repeat(8, 1fr);
}

.grid_9 {
    grid-template-columns: repeat(9, 1fr);
}

.grid_10 {
    grid-template-columns: repeat(10, 1fr);
}

.grid_11 {
    grid-template-columns: repeat(11, 1fr);
}

.grid_12 {
    grid-template-columns: repeat(12, 1fr);
}

.grid_6-5 {
    & > * {
        width: 100%/6;
        &:nth-child(11n-4) {
            margin-left: 100%/6/2;
        }
    }
}

.grid_5-4 {
    & > * {
        width: 100%/5;
        &:nth-child(9n-3) {
            margin-left: 100%/5/2;
        }
    }
}
.grid_4-3 {
    & > * {
        width: 100%/4;
        &:nth-child(7n-2) {
            margin-left: 100%/4/2;
        }
    }
}

.grid_3-2 {
    & > * {
        width: 100%/3;
        &:nth-child(5n-1) {
            margin-left: 100%/3/2;
        }
    }
}
